:root {
  font-family: "adorn-smooth-serif", serif;
  font-weight: 400;
  font-style: normal;

  color-scheme: light;
}

header picture::after {
  content: '';
  display: block;
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
}

header {
  background-color: #ffffff;
}

#intro {
  background-image: url('../images/intro-bg.webp');
  background-position: top center;
  background-repeat: no-repeat;
  background-size: 100%;
  padding-block-end: 8.125rem;
}

#intro p {
  font-size: 1.8125rem;
  text-align: center;
  color: #806e3b;
  width: 90%;
  max-width: 940px;
  margin-inline: auto;
}

@media (width <= 600px) {
  #intro p {
    font-size: 1.25rem;
  }
}

#top-ui {
  gap: 1.25rem;
  margin-block-end: 3.75rem;
}

#top-ui .countdown {
  font-size: 3.75rem;
  color: #b0a37d;
  column-gap: 1.25rem;
}

#top-ui .countdown::before {
  font-size: 1.125rem;
  color: #3b2d1c;
}

#top-ui .countdown span {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 6.25rem;
  line-height: 1;
}

#top-ui .countdown span::after {
  font-size: 0.625rem;
  color: #808080;
}

@media (width <= 600px) {
  #top-ui .countdown {
    font-size: 2.75rem;
    margin-block-end: 1rem;
  }
  #top-ui .countdown span {
    width: 4.25rem;
  }
}

#top-ui a:has(button),
#top-ui button {
  width: 100%;
  max-width: 22rem;
  min-height: 70px;
}

@media (width <= 600px) {
  #top-ui a:has(button),
  #top-ui button {
    max-width: 90%;
  }
  #top-ui a button {
    max-width: 100%;
  }
}

#top-ui button {
  text-transform: uppercase;
  border-radius: 6px;
  border: 3px solid transparent;
  color: black;
  background:
    linear-gradient(0deg, 
      #fdfcf5 0%, 
      #eadece 25%,
      #f1ede2 75%,
      #f4e9c8 100%) 
      padding-box,
    linear-gradient(0deg, 
      #b0a37d 0%, 
      #e3d09a 25%,
      #f5e4b4 75%,
      #b0a37d 100%) 
      border-box;
  transition: filter 150ms ease;
  position: relative;
  isolation: isolate;
}

#top-ui button span {
  font-size: 1.5rem;
  color: #713309;
  filter: drop-shadow(0 0 10px #ebce59);
}

#top-ui button::after,
[popover]::after {
  --inset: 2px;
  --size: calc(100% - var(--inset));
  content: '';
  display: block;
  position: absolute;
  border-radius: 2px;
  background:
    linear-gradient(0deg, 
      #fdfcf5 0%, 
      #eadece 25%,
      #f1ede2 75%,
      #f4e9c8 100%) 
      padding-box;
  width: var(--size);
  height: var(--size);
  inset: calc(var(--inset) / 2);
  filter: drop-shadow(0 0 2px #7e5e37);
  z-index: -1;
}

[popover] {
  border-radius: 6px;
  border: 3px solid transparent;
  color: black;
  background:
    linear-gradient(0deg, 
      #fffcf7 0%, 
      #fdf8e8 100%) 
      padding-box,
    linear-gradient(0deg, 
      #b0a37d 0%, 
      #e3d09a 25%,
      #f5e4b4 75%,
      #b0a37d 100%) 
      border-box;
}

[popover]::after {
  background:
    linear-gradient(0deg, 
      #fffcf7 0%, 
      #fdf8e8 100%) 
      padding-box,
    linear-gradient(0deg, 
      #b0a37d 0%, 
      #e3d09a 25%,
      #f5e4b4 75%,
      #b0a37d 100%) 
      border-box;
}

[popover] p {
  font-family: Bahnschrift, 'DIN Alternate', 'Franklin Gothic Medium', 'Nimbus Sans Narrow', sans-serif-condensed, sans-serif;
  font-weight: 300;
  font-size: 0.875rem;
  text-align: left;
}

main {
  background-color: #d8d2c3;
  background-image: url('../images/main-bg.webp');
  background-position: top center;
  background-repeat: no-repeat;
  background-size: cover;
}

main section:not(:last-of-type) {
  margin-block: 0;
}

main button span {
  font-size: 0.75rem;
}

main section h3 {
  font-size: 2.5rem;
  font-weight: 400;
  line-height: 1.1;
}

@media (width <= 600px) {
  main section h3 {
    font-size: 2rem;
  }
}

main section h4 {
  font-size: 1rem;
  font-weight: 400;
  color: #713309;
}


.attributes {
  max-width: 900px;
  margin-inline: auto;
  padding-block-end: 2rem;
}

.attributes img {
  background-image: url('../images/attributes-bg.webp');
  background-position: center;
  background-repeat: no-repeat;
  background-image: cover;
}

.bonuses {
  display: flex;
  gap: 1.25rem;
  flex-wrap: wrap;
  justify-content: center;
  align-items: flex-start;
}

.bonuses figure {
  flex: 0 1 340px;
}

.bonuses figcaption {
  text-align: center;
  font-size: 0.8125rem;
}

#top-ui button,
.attributes button {
  filter: drop-shadow(0 3px 7px #5692b923);
}

@media (pointer: fine) {
  #top-ui button:hover,
  .attributes button:hover {
    filter: drop-shadow(0 3px 7px #65bcf723) brightness(1.05);
  }
}

#watchModal .modal-close {
  color: white;
  font-family: Bahnschrift, 'DIN Alternate', 'Franklin Gothic Medium', 'Nimbus Sans Narrow', sans-serif-condensed, sans-serif;
}

#rewards picture,
#rewards img {
  margin-inline: auto;
  max-width: 600px;
  width: 100%;
  height: auto;
}

#rewards h3:has(+p) {
  margin-block-end: 0;
}
 
#rewards h3 + p {
  font-size: 0.9375rem;
  margin-block-end: 1rem;
}

@media (width <= 600px) {
  #rewards h3 + p {
    margin-block-start: 0.5em;
  }
  #rewards img {
    max-width: 300px;
  }
}

#attributes {
  margin-block-end: 3.75rem;
}

#attributes h3 {
  margin-block-start: 0;
}